function init(hero) {
    hero.setName("Scarlet Witch/Wanda Maximoff");
    hero.setTier(7);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("tgheroes:chaos_magic");
	hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);

    hero.addKeyBind("SHIELD", "Forcefield", 3);
    hero.addKeyBind("AIM", "Chaos Blast", 1);
    hero.addKeyBind("SPELL_MENU", "Chaos Magic", 2);
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 4);
	
	hero.supplyFunction("canAim", canAim);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}